.page-404 {
    position: relative;
    width: 100%;
    height: 100vh; 
    height: calc(var(--vh, 1vh) * 100);
    background: #161616;
    z-index: 1;
    &__bg {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: -1;
        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            object-position: 50% 50%;
            opacity: .1;
        }
    }
    &__content {
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        &_title {
            font-size: 140px;
            line-height: 140px;
            text-align: center;
            color: #CCA86F;
            font-size: 130px;
            @media (max-width: 1640px) {
                
            }
            @media (max-width: 1024px) {
                font-size: calc(5.3125rem + ((1vw - 10.24px) * 7.3052));
            }
            @media (max-width: 767px) {
                margin-bottom: 64px;
            }
            span {
                position: relative;
                display: inline-block;
                top: 33px;
                padding: 0 0 0 30px;
                @media (max-width: 1024px) {
                    top: 0;
                    padding: 0 0 0 15px;
                }
            }
            &_box {
                position: relative;
            }
        }
    }
    &__btn-circle {
        position: absolute;
        top: 100%;
        right: 0;
        transform: translate(50%, 40%);
        @media (max-width: 1570px) {
            right: 100px;
        }
        @media (max-width: 1024px) {
            bottom: -50px;    
            right: 20px;
        }
        @media (max-width: 767px) {
            width: 100%;
            height: 64px;
            bottom: 0;
            left: 0;
            right: 0;
            position: fixed;
            border: none;
            background: #1D1D1D;
            box-shadow: 0px 23px 40px rgba(0, 0, 0, 0.25);
            border-radius: 20px 20px 0 0;
            transform: translate(0%, 0%);
            top: auto;
            .btn-circle__icon {
                transform: rotate(-45deg);
                margin-bottom: 3px;
            }
            &:before {
                display: none;
            }
            &:hover {
                .btn-circle__icon {
                    fill: #fff;
                }
                .btn-circle__text {
                    color: #fff;
                }
            }
        }
    }
    &__text {
        position: absolute;
        bottom: 78px;
        left: calc(50% - 799px);
        width: 350px;
        font-size: 18px;
        line-height: 1.33;
        color: #FFFFFF;
        @media (max-width: 1640px) {
            left: 24px;
        }
        @media (max-width: 380px) {
            width: calc(100% - 48px);
        }
    }
}